package cn.superdesk.uniorder.dao.mapper.order;

import cn.superdesk.uniorder.dao.entity.order.OrderSourceType;

import java.util.List;
import java.util.Map;

public interface OrderSourceTypeMapper {

	int deleteByPrimaryKey(Long id);

	int insert(OrderSourceType record);

	int insertSelective(OrderSourceType record);

	OrderSourceType selectByPrimaryKey(Long id);

	int updateByPrimaryKeySelective(OrderSourceType record);

	int updateByPrimaryKey(OrderSourceType record);

	List<OrderSourceType> findAll(Map<String, Object> params);
}